<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Orginal von: pirdani
| eMail: pirdani@webmaster@lucky-garden-geithain.de
| Web: http://www.lucky-garden-geithain.de
| ---------------------------------------------------+
| Angepasst fr V.6 - 2005 EdEdster (Stefan Noss)
| http://www.edsterathome.de/
| ---------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if(!defined("IN_FUSION") || !checkrights("I")) {
	header("Location:../../index.php");
	exit;
}

// INFUSION INFORMATION
$inf_title = "Pro-Download System";
$inf_description = "Download System mit einigen Erweiterungen";
$inf_version = "1.2";
$inf_developer = "EdEdster ( Stefan Noss ) ";
$inf_email = "webmaster@edsterathome.de";
$inf_weburl = "http://www.edsterathome.de";

// INFUSION PFADE
$inf_folder = "pro_download_panel";
$inf_admin_image = "infusions.gif";
$inf_admin_panel = "admin/admin.php";

$inf_link_name = $inf_title;
$inf_link_url = "download.php";

$inf_newtables = 6;
$inf_insertdbrows = 1;

// DATENBANK TABELLEN ERSTELLEN 
$inf_newtable_[1] = "prodownloads (
  id int(10) NOT NULL auto_increment,
  cat int(10) NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  beschreibung text NOT NULL,
  copyright varchar(255) NOT NULL default '',
  lizenz_id int(10) NOT NULL default '0',
  lizenz_okay char(1) NOT NULL default '',
  lizenz_packet char(1) NOT NULL default '',
  lizenz_url varchar(255) NOT NULL default '',
  link_extern varchar(255) NOT NULL default '',
  down varchar(255) NOT NULL default '',
  bild varchar(255) NOT NULL default '',
  downloads int(10) NOT NULL default '0',
  user_id smallint(5) unsigned NOT NULL default '0',
  datestamp int(10) NOT NULL default '0',
  status char(1) NOT NULL default 'N',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;";

$inf_newtable_[2] = "prodownload_cats (
  cat int(10) NOT NULL auto_increment,
  top_cat int(10) NOT NULL default '0',
  name varchar(50) NOT NULL default '',
  beschreibung varchar(255) NOT NULL default '',
  PRIMARY KEY  (`cat`)
) TYPE=MyISAM;";

$inf_newtable_[3] = "prodownloads_bewertungen (
  did int(10) NOT NULL default '0',
  user_id smallint(5) unsigned NOT NULL default '0',
  vote_opt char(1) NOT NULL default '',
  PRIMARY KEY  (`did`,`user_id`)
) TYPE=MyISAM;";

$inf_newtable_[4] = "prodownloads_kommentare (
  id int(10) NOT NULL auto_increment,
  did int(10) NOT NULL default '0',
  user_id smallint(5) unsigned NOT NULL default '0',
  comment_name varchar(255) NOT NULL default '',
  text text NOT NULL,
  datestamp int(10) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;";

$inf_newtable_[5] = "prodownloads_lizenz (
  `id` int(10) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `text` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;";

$inf_newtable_[6] = "prodownloads_settings (
  id smallint(6) NOT NULL auto_increment,
  titel varchar(255) NOT NULL default 'Professional Download v0.2-beta',
  pmsystem char(2) NOT NULL default '0',
  neupm smallint(5) unsigned NOT NULL default '1',
  defektpm smallint(5) unsigned NOT NULL default '1',
  maxfilesize varchar(30) NOT NULL default '1048576',
  maxupfilesize varchar(30) NOT NULL default '2097152',
  bild text NOT NULL,
  down text NOT NULL,
  downbereich tinyint(3) unsigned NOT NULL default '101',
  uploadbereich tinyint(3) unsigned NOT NULL default '102',
  uploadsaktivieren tinyint(3) unsigned NOT NULL default '103',
  kommentare tinyint(3) unsigned NOT NULL default '101',
  bewertungen tinyint(3) unsigned NULL default '101',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;";

$inf_insertdbrow_[1] = "prodownloads_settings VALUES (1, 'DOWNLOADS', '0', 1, 1, '1048576', '2097152', 'jpg,jpeg,gif,png,psd,JPG,JPEG,GIF,PNG,PSD', 'zip,rar,tar,exe,ZIP,RAR,TAR,EXE', '101', '102', '103', '101', '101')";

// BEI DEINSTALLATION DER INFUSION TABELLEN AUS DATENBANK ENTFERNEN
$inf_droptable_[1] = "prodownloads";
$inf_droptable_[2] = "prodownload_cats";
$inf_droptable_[3] = "prodownloads_bewertungen";
$inf_droptable_[4] = "prodownloads_kommentare";
$inf_droptable_[5] = "prodownloads_lizenz";
$inf_droptable_[6] = "prodownloads_settings";

?>
